Subject: [bug#47174] [PATCH v2 1/2] guix: Alter http-fetch to return the response.

From: Christopher Baines <[email-masked]>
Date: Thu, 20 May 2021 12:12:18 +0100

Mathieu Othacehe <[email-masked]> writes:

> Hello Chis,
>
>> * guix/http-client.scm (http-fetch): Return the response as the second value,
>> rather than the response-content-length.
>
> I think there is a missing adaptation in the call-with-nar procedure of
> the (guix scripts challenge) module.

Indeed, I've fixed that and I'll send a v3 series.

> Otherwise, looks fine!

Great, I'll try and do some testing of this at some point, as I haven't
done any testing yet.